Forum: Ruby-Gnome 2 Error Message at Install

B6e40c8a955087b460cb917899f7b752?d=identicon&s=25 Alex Gajewski (agajews)
on 2013-01-28 00:36
After I type "rvm all do gem install visualruby" in terminal, I get the
following error message:
ERROR:  Error installing visualruby:
  ERROR: Failed to build gem native extension.

        /Users/agajews/.rvm/rubies/ruby-1.9.3-p374/bin/ruby extconf.rb
checking for -Wall option to compiler... yes
checking for -Waggregate-return option to compiler... yes
checking for -Wcast-align option to compiler... yes
checking for -Wextra option to compiler... yes
checking for -Wformat=2 option to compiler... yes
checking for -Winit-self option to compiler... yes
checking for -Wlarger-than-65500 option to compiler... yes
checking for -Wmissing-declarations option to compiler... yes
checking for -Wmissing-format-attribute option to compiler... yes
checking for -Wmissing-include-dirs option to compiler... yes
checking for -Wmissing-noreturn option to compiler... yes
checking for -Wmissing-prototypes option to compiler... yes
checking for -Wnested-externs option to compiler... yes
checking for -Wold-style-definition option to compiler... yes
checking for -Wpacked option to compiler... yes
checking for -Wp,-D_FORTIFY_SOURCE=2 option to compiler... yes
checking for -Wpointer-arith option to compiler... yes
checking for -Wswitch-default option to compiler... yes
checking for -Wswitch-enum option to compiler... yes
checking for -Wundef option to compiler... yes
checking for -Wunsafe-loop-optimizations option to compiler... yes
checking for -Wwrite-strings option to compiler... yes
checking for rb_define_alloc_func() in ruby.h... yes
checking for rb_block_proc() in ruby.h... yes
checking for new allocation framework... yes
checking for attribute assignment... no
checking for cairo... yes
checking for rb_cairo.h... yes
checking for Win32 OS... no
checking for gtksourceview-2.0... yes
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Provided configuration options:
  --with-opt-dir
  --with-opt-include
  --without-opt-include=${opt-dir}/include
  --with-opt-lib
  --without-opt-lib=${opt-dir}/lib
  --with-make-prog
  --without-make-prog
  --srcdir=.
  --curdir
  --ruby=/Users/agajews/.rvm/rubies/ruby-1.9.3-p374/bin/ruby
  --with-pkg-config
  --without-pkg-config
  --with-override-variables
  --without-override-variables
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:239:in
`parse_pc': .pc for libxml-2.0 doesn't exist. (RuntimeError)
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:181:in
`declaration'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:130:in
`requires_private'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:311:in
`all_required_packages'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:195:in
`collect_cflags'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:134:in
`cflags'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:196:in
`block in collect_cflags'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:195:in
`collect'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:195:in
`collect_cflags'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:134:in
`cflags'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:364:in
`cflags'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:415:in
`have_package'
  from
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/glib2-1.2.0/lib/mkmf-gnome2.rb:540:in
`required_pkg_config_package'
  from extconf.rb:58:in `<main>'


Gem files will remain installed in
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/gtksourceview2-1.2.0 for
inspection.
Results logged to
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/gtksourceview2-1.2.0/ext/gtksourceview2/gem_make.out

Please help!
Ee6ffca720cc428d70247dcd7377dd48?d=identicon&s=25 Kouhei Sutou (Guest)
on 2013-02-02 12:35
(Received via mailing list)
Hi,

In <d26f5f92b1dec8b6e3528c70e4b5997f@ruby-forum.com>
  "[ruby-gnome2-devel-en] Error Message at Install" on Mon, 28 Jan 2013
00:36:51 +0100,
  Alex Gajewski <ruby-forum-incoming@andreas-s.net> wrote:

> After I type "rvm all do gem install visualruby" in terminal, I get the
> following error message:
> ERROR:  Error installing visualruby:
>   ERROR: Failed to build gem native extension.

>
/Users/agajews/.rvm/gems/ruby-1.9.3-p374/gems/pkg-config-1.1.4/lib/pkg-config.rb:239:in
> `parse_pc': .pc for libxml-2.0 doesn't exist. (RuntimeError)

Could you confirm that libxml2-dev package is installed?

Thanks,
--
kou
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.